# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.oai_metadata_prefixe import OaiMetadataPrefixe  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestOaiMetadataPrefixe(unittest.TestCase):
    """OaiMetadataPrefixe unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test OaiMetadataPrefixe
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.oai_metadata_prefixe.OaiMetadataPrefixe()  # noqa: E501
        if include_optional :
            return OaiMetadataPrefixe(
                links = None, 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                description = '0', 
                enabled = True, 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                metadata_schema = '0', 
                metadata_xml_transformation = '0', 
                name = '0', 
                prefix = '0', 
                reference = True, 
                res_id = '0', 
                schema_namespace = '0', 
                schema_url = '0'
            )
        else :
            return OaiMetadataPrefixe(
        )

    def testOaiMetadataPrefixe(self):
        """Test OaiMetadataPrefixe"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
